<?php
/**
 * Disinfection functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Disinfection
 */

if ( ! defined( 'DISINFECTION_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'DISINFECTION_VERSION', wp_get_theme()->get( 'Version' ) );
}

if ( ! function_exists( 'disinfection_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function disinfection_setup() {

		load_theme_textdomain( 'disinfection', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		add_theme_support( 'align-wide' );

		add_theme_support( 'woocommerce' );

		// Add support for block styles.
		add_theme_support( 'wp-block-styles' );

		// Enqueue editor styles.
		add_editor_style( 'style.css' );

		// Add support for core custom logo.
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

        add_theme_support( 'custom-background', apply_filters( 'disinfection_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));

		// Enqueue editor styles.
		// add_editor_style( 'style.css' );

		// Experimental support for adding blocks inside nav menus
		add_theme_support( 'block-nav-menus' );

		// Add support for experimental link color control.
		add_theme_support( 'experimental-link-color' );

		// Register nav menus.
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'disinfection' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'disinfection_setup' );

function disinfection_scripts() {
    wp_enqueue_style('disinfection-style', get_stylesheet_uri(), array() );
    wp_enqueue_script('jquery-wow', get_template_directory_uri() . '/js/wow.js', array('jquery'));
    wp_enqueue_style('animate-css', get_template_directory_uri() . '/css/animate.css');

	//font-awesome
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/font-awesome/css/all.css', array(), '6.7.0' );
    wp_enqueue_style('swiper-bundle-css', get_template_directory_uri() . '/css/swiper-bundle.css', array(), DISINFECTION_VERSION);
    wp_enqueue_script('swiper-bundle-js', get_template_directory_uri() . '/js/swiper-bundle.js', array('jquery'), DISINFECTION_VERSION, true);

    wp_enqueue_style( 'owl.carousel-style', get_template_directory_uri().'/css/owl.carousel.css', array(), DISINFECTION_VERSION );
	wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri(). '/js/owl.carousel.js', array('jquery') ,DISINFECTION_VERSION,true);

    // Custom scripts should depend on Swiper JS and jQuery
    wp_enqueue_script('disinfection-custom-scripts', get_template_directory_uri() . '/js/custom.js',  array('jquery'),'' ,true );
    wp_style_add_data( 'disinfection-style', 'rtl', 'replace' );
}
add_action( 'wp_enqueue_scripts', 'disinfection_scripts' );

/**
 * Enqueue block editor style
 */
function disinfection_block_editor_styles() {

	wp_enqueue_style( 'disinfection-block-patterns-style-editor', get_theme_file_uri( '/css/block-editor.css' ), false, '1.0', 'all' );
}
add_action( 'enqueue_block_editor_assets', 'disinfection_block_editor_styles' );


function disinfection_init_setup() {

	// Add block patterns
	require get_template_directory() . '/inc/block-patterns.php';
	
	// TGM
	require_once get_template_directory() . '/inc/tgm/tgm.php';
}
add_action( 'after_setup_theme', 'disinfection_init_setup' );